ISCSI_FIND_FLASHNODE(9)

NAME
iscsi_find_flashnode_sess - finds flashnode session entry

SYNOPSIS

struct device * iscsi_find_flashnode_sess(struct Scsi_Host * shost, void * data, int (*fn) (struct device *dev, void *data));

ARGUMENTS

shost
    pointer to host data

data
    pointer to data containing value to use for comparison

fn
    function pointer that does actual comparison

DESCRIPTION

Finds the flashnode session object comparing the data passed using logic defined in passed function pointer

RETURNS

pointer to found flashnode session device object on success NULL on failure

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT